Last Comment Bug 739599 - [Instant messaging] Make the conversation output a WAI-ARIA live region
: [Instant messaging] Make the conversation output a WAI-ARIA live region
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Disability Access (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 07:50 PDT by Marco Zehe (:MarcoZ)
Modified: 2012-06-15 04:01 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (834 bytes, patch)
2012-06-08 04:11 PDT, Florian Quèze [:florian] [:flo]
clokep: review+
mzehe: feedback+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Marco Zehe (:MarcoZ) 2012-03-27 07:50:15 PDT
Making it a live region makes sure screen readers speak the output as soon as it happens without the user having to review every bit of it manually. This can be done by adding aria-live="polite" to the top most parent element of what contains the chat output. So if there's a div around the elements containing all the conversation text, use that, or the body element of that HTML output widget.
Comment 1 Florian Quèze [:florian] [:flo] 2012-06-08 04:11:48 PDT
Created attachment 631342 [details] [diff] [review]
Patch

Marco, if I understood what you want correctly, this trivial patch should do it.

Note: we received a very similar request for Instantbird at https://bugzilla.instantbird.org/show_bug.cgi?id=1262 and an older request at https://bugzilla.instantbird.org/show_bug.cgi?id=103 which we understood at the time as wanting the aria attribute on each message, rather than the whole message area. That was more difficult to enforce (as message themes can be customized) and regressed since the fix.
Comment 2 Marco Zehe (:MarcoZ) 2012-06-08 04:19:14 PDT
Comment on attachment 631342 [details] [diff] [review]
Patch

Yes, this looks correct!
Comment 3 Florian Quèze [:florian] [:flo] 2012-06-12 02:27:34 PDT
Comment on attachment 631342 [details] [diff] [review]
Patch

[Approval Request Comment]
I think we want accessibility fixes of the chat feature on aurora for Tb15.
Comment 4 Mark Banner (:standard8) 2012-06-12 03:09:48 PDT
Comment on attachment 631342 [details] [diff] [review]
Patch

Yes definitely.
Comment 5 Florian Quèze [:florian] [:flo] 2012-06-14 07:22:22 PDT
https://hg.mozilla.org/comm-central/rev/47f05f31d03a
Comment 6 Florian Quèze [:florian] [:flo] 2012-06-15 04:01:50 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/d52cf71ffaed

Note You need to log in before you can comment on or make changes to this bug.